/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * TransferRequest
 */

public class TransferRequest {
  @JsonProperty("comment")
  private String comment = null;

  @JsonProperty("recipient")
  private Object recipient = null;

  @JsonProperty("subject")
  private Object subject = null;

  public TransferRequest comment(String comment) {
    this.comment = comment;
    return this;
  }

   /**
   * An explanation about the transfer request
   * @return comment
  **/
  @ApiModelProperty(required = true, value = "An explanation about the transfer request")
  public String getComment() {
    return comment;
  }

  public void setComment(String comment) {
    this.comment = comment;
  }

  public TransferRequest recipient(Object recipient) {
    this.recipient = recipient;
    return this;
  }

   /**
   * The transfer recipient, either an user or an organization
   * @return recipient
  **/
  @ApiModelProperty(required = true, value = "The transfer recipient, either an user or an organization")
  public Object getRecipient() {
    return recipient;
  }

  public void setRecipient(Object recipient) {
    this.recipient = recipient;
  }

  public TransferRequest subject(Object subject) {
    this.subject = subject;
    return this;
  }

   /**
   * The transfered subject
   * @return subject
  **/
  @ApiModelProperty(required = true, value = "The transfered subject")
  public Object getSubject() {
    return subject;
  }

  public void setSubject(Object subject) {
    this.subject = subject;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TransferRequest transferRequest = (TransferRequest) o;
    return Objects.equals(this.comment, transferRequest.comment) &&
        Objects.equals(this.recipient, transferRequest.recipient) &&
        Objects.equals(this.subject, transferRequest.subject);
  }

  @Override
  public int hashCode() {
    return Objects.hash(comment, recipient, subject);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TransferRequest {\n");

    sb.append("    comment: ").append(toIndentedString(comment)).append("\n");
    sb.append("    recipient: ").append(toIndentedString(recipient)).append("\n");
    sb.append("    subject: ").append(toIndentedString(subject)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

